Subject: Re: COPYING tabs vs whitespaces

From: Petr Stodulka <[email-masked]>
Date: Mon, 8 Feb 2016 23:11:37 +0100

On 8.2.2016 18:28, Junio C Hamano wrote:
> Petr Stodulka <[email-masked]> writes:
> 
>> On 4.2.2016 20:15, Junio C Hamano wrote:
>>> Petr Stodulka <[email-masked]> writes:
>>>
>>>> I found that license file COPYING is different as compared with
>>>> http://www.gnu.org/licenses/gpl-2.0.txt If I pass over with
>>>> Linus's preamble, change is only about whitespaces - tabs
>>>> vs. space.  Probably it's minor non-essential change, but some
>>>> projects do this change, so rather I ask about that.
>>>
>>> Interesting.  I cannot quite connect "some projects do this change"
>>> and "so rather I ask".  Are you asking why this project changed it?
>>
>> Nope. I apologize for my czenglish. It means: From my colleagues I hear,
>> that some projects had same differences (tabs vs. spaces) in their copy
>> of the license file and they make it later equivalent with the one in
>> gnu.org.
> 
> I'd guess that these projects (among which Linux kernel still has
> these indentation the same as the copy we have) and we independently
> obtained the COPYING file from GNU in some past, and back then the
> copy at GNU was indented that way--which later was changed.
> 
> The Wayback Machine supports this theory.
> 
> https://web.archive.org/web/20070713225446/http://www.gnu.org/licenses/gpl-2.0.txt
> 
> i.e. the FSF copy back in 2007-07 indented these section headers
> with tabs, so those projects that obtained this copy would have
> their sections indented with tabs.
> 
> At 703601d6 (Update COPYING with GPLv2 with new FSF address,
> 2010-01-15), we did a fresh update directly from the URL you cited
> above to primarily replace the addresses of the FSF office.
> 
> https://web.archive.org/web/20100105100239/http://www.gnu.org/licenses/gpl-2.0.txt
> 
> matches what we use (minus Linus's preamble, of course).
> 
> The file before that change was what Linus copied from Linux kernel
> project.  The kernel project did their equivalent change at their
> b3358a11 ([PATCH] update FSF address in COPYING, 2005-09-10), and
> the log message says http://www.gnu.org/licenses/gpl.txt was used.
> 
> The Wayback Machine agrees.
> 
> https://web.archive.org/web/20050901115237/http://www.gnu.org/licenses/gpl.txt
> 
> i.e. the FSF copy back in 2005-09 matches what the kernel uses
> (again, minus Linus's preamble).

I have expected that license was copied correctly in the past from gnu.org,
when same differences are in various projects. I just point out on another change.

Thank You for tip about web.archive.org - I really don't know about that web
and it can be useful.

> 
>> So I ask rather here / point out this difference, if you know
>> about that or you want to have same one.
> 
> So the answers are:
> 
>  - No, I didn't personally know about the differences, and I suspect
>    nobody particularly cared.
> 
>  - Not really, unless the difference has more substance.  For an
>    example of an update with substance, the update we did in 2010
>    had not just the FSF address change but also updated the fully
>    spelled name of LGPL from Library to Lesser.

Thank You for reponse.

> 
> You may want to bug the kernel folks to update their copy; they
> still spell it as Library General Public License.
> 

Everyone can do that. I believe that someone report it already or at least
constult it. I write about this here because I should do that. When You
know about this difference in license in kernel, I believe that they know
it too and they decide it is ok.

Regards,
Petr